#include <iostream>
#include "RdmaServerEndpointGroup.hpp"
#include "Executor.hpp"

#include "rocksdb/db.h"
#include "Properties.cpp"
#include "rocksdb/slice.h"
#include "rocksdb/options.h"
#include "Logger.hpp"

int main()
{
    CPPLog::LOG_INFO("Starting Server Main Thread");
    Properties prop("prop.config");
    RdmaServerEndpointGroup *group = new RdmaServerEndpointGroup(5, 5, 5, 100, 100);
    Executor *ex = new Executor(stoi(prop.getValue("EXECUTOR_POOL_SIZE")), group);
    group->setExecutor(ex);
    group->bind(prop.getValue("SERVER_IP").c_str(), prop.getValue("SERVER_PORT").c_str(), 2);
    group->startCmProcessor(false);
    std::cout << "rhdhj" << std::endl;
    // Just to make main thread wait else program will exit
    while (1)
        ;
}